
LRss = 0.301  ;
LHss = 0.0  ;

fun_SRss= 1 ;
fun_Qss = 1 ;
fun_tauL_R = TL_Y*(fun_SRss*((1-lambda)*LRss)^alpha)/...
                  (alpha*(thetaR-1)/thetaR*fun_SRss*((1-lambda)*LRss)^alpha) ;
fun_Yss =fun_SRss*((1-lambda)*LRss)^alpha ;

fun_CHss= 0 ;
fun_CRss= (((1-lambda)*LRss)^alpha*fun_SRss^(epsilon))/((1-lambda)*alpha_R) ;
fun_SHss= 1 ;

SHss    = fun_SHss ;
SRss    = fun_SRss ;
Qss     = fun_Qss ;

tauL_Rss= fun_tauL_R ;
tauL_Hss= zeta*tauL_Rss     ;
Yss     = fun_Yss ;
CHss    = fun_CHss ;
CRss    = fun_CRss ;

transfer_Hss  = 0 ;
transfer_Rss  = (1-xi)/(1-lambda)*tf_Y*Yss ;

YRss= ((1-lambda)*LRss)^alpha ;
YHss= ((lambda)*LHss)^alpha ;
CR_Rss = alpha_R*SRss^(-epsilon)*CRss ;
CR_Hss = (1-alpha_R)*(SHss*Qss)^(-epsilon)*CRss ;
CH_Hss = alpha_H*SHss^(-epsilon)*CHss ;
CH_Rss = (1-alpha_H)*(SRss/Qss)^(-epsilon)*CHss ;

wRss  = alpha*(thetaR-1)/thetaR*SRss*YRss^(1-1/alpha) ;
wHss  = 0 ;

chi  = (1-tauL_Rss)*wRss/(LRss^varphi*CRss^sigma) ;
chi_H= chi ;

ZR1_ss = 1/(1-omegaR*beta)*wRss*YRss^(1/alpha) ;
ZR2_ss = 1/(1-omegaR*beta)*SRss*YRss ;
ZH1_ss = 1/(1-omegaH*beta)*Qss*wHss*YHss^(1/alpha) ;
ZH2_ss = 1/(1-omegaH*beta)*Qss*SHss*YHss ;

Css = (1-lambda)*CRss + lambda*Qss*CHss ;
Yss2 = Css ;
CR2 = (alpha_R^(1/epsilon)*CR_Rss^((epsilon-1)/epsilon) + (1-alpha_R)^(1/epsilon)*CR_Hss^((epsilon-1)/epsilon))^(epsilon/(epsilon-1)) ;
CH2 = (alpha_H^(1/epsilon)*CH_Hss^((epsilon-1)/epsilon) + (1-alpha_H)^(1/epsilon)*CH_Rss^((epsilon-1)/epsilon))^(epsilon/(epsilon-1)) ;

bss = b_Y*Yss ;
transfer_ss = tf_Y*Yss ;
th_ss = TL_Y*Yss ;
lumpsum_tax_ss = transfer_ss - (1-1/beta)*bss - th_ss ;

profit_Rss = SRss*YRss - (1-lambda)*wRss*LRss ;
profit_Hss = Qss*SHss*YHss - lambda*Qss*wHss*LHss;

if abs(CRss-CR2) + abs(CHss-CH2) + abs(Yss-Yss2)>1e-8
    msg = 'Error occurred.';
    error(msg)
end

save Dynare//ss_initial LRss LHss SHss SRss Qss Yss tauL_Rss tauL_Hss transfer_ss transfer_Hss ...
                CHss CRss chi chi_H YRss YHss CR_Rss CR_Hss CH_Hss CH_Rss wRss transfer_Rss ...
                wHss ZR1_ss ZR2_ss ZH1_ss ZH2_ss Css bss th_ss lumpsum_tax_ss profit_Rss profit_Hss ;
